
.side-nav {
    color: #fff;
    height: 100vh;
    &.not_dark{
        .menu-container{
            .nav-item{
                .nav-text{
                    color: rgba(#182029, 0.6) !important;
                }
                svg{
                    filter: brightness(0.5);
                }
                &.active {
                    // background-color: #ebebeb !important;
                    // border: 1px solid #45ACFA;
                    .nav-text {
                        color: #182029 !important;
                    }
                }
            }
        }
        .light-dark-more{
            .text-dark{
                color: rgba(#182029, 0.6) !important;
            }
        }
    }
    .navbar {
        display: flex;
        flex-direction: column;
        row-gap: 15px;

        &.short-menu {
            .link-dropdown {
                position: relative;
                .dropdown {
                    position: absolute;
                    left: 60px;
                    top: 0px;
                    background: #fff;
                    border-radius: 15px;
                    width: 160px;
                    .dropdown-item {
                        padding-left: 10px;
                        padding-right: 10px;
                        color: #000;
                    }
                }
            }
        }
        
        .nav-item {
            display: flex;
            align-items: center;
            padding: 5px 16px;
            // border-radius: 20px;
            border-bottom: 1px solid #45ACFA;

        }
        .menu-container {
            display: flex;
            flex-direction: column;
            row-gap: 16px;
            .nav-item {
                display: flex;
                align-items: center;
                padding: 5px 16px;
                // border-radius: 20px;
                &.fantmint {
                    // padding-left: 20px;
                }
                .nav-text {
                    // padding-left: 10px;
                    // padding-top: 5px;
                    color: rgba(255, 255, 255, 0.6);
                }
                &.active {
                    // background: #001F37;
                    // border-bottom: 1px solid #45ACFA;
                    .nav-text {
                        color: #fff;
                    }
                }
                &:hover {
                    .nav-text {
                        color: #fff;
                    }
                }
                .icon-right {
                    margin-left: auto;
                }
            }
            .dropdown {
                .dropdown-item {
                    padding: 16px 48px;
                    color: rgba(255, 255, 255, 0.6);
                    &:hover {
                        color: #fff;
                    }
                    &.active {
                        color: #45ACFA;
                    }
                }
            }
        }
        .light-dark-more{
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 0px 16px;
            .text-light{
                color: rgba(255, 255, 255, 0.6);
            }
            .text-dark{
                color: #182029;
            }
            .dark-more {
                display: flex;
                align-items: center;
                justify-content: center;
                border-radius: 20px;
                background-color: #182029;
                padding: 4px;
                // margin-left: 64px;
        
                li {
                    padding: 4px 8px;
                    cursor: pointer;
        
                    img {
                        width: 12px;
                        height: 12px;
                    }
                }
        
                .active {
                    background-color: #fff;
                    border-radius: 16px;
                    width: 30px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    
                    img{
                        filter: brightness(0);
                    }
                }
            }
        }
    }
}

@media only screen and (max-width: 600px) {
    .side-nav {
        .navbar {
            .menu-container {
                row-gap: 15px;
            }
        }
    }
}

@media only screen and (max-width: 992px) {
    .side-nav {
        .navbar {
            .icon-toggle-menu {
                display: none;
            }
        }
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) and (max-width: 1200px) {
    .side-nav {
        .dropdown {
            .dropdown-item {
                padding-right: 2px !important;
            }
        }
    }
}
